<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/transaction/list/}"><i class="fa fa-money"></i>[[#{page.title.trx.company.payroll}]]</a></li>
    <li class="active">[[#{label.edit}]]</li>
</ol>
<section class="content" th:fragment="content">
    <div class="row">
        <div class="col-md-12">
            <br/>
            <div class="box">
                <div class="box-header with-border">
                </div>
                <form class="form-horizontal" th:action="@{/admin/transaction/edit/}+${data.id}" th:object="${data}" method="POST">
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.company.name}]]</label>

                                    <div class="col-sm-8">
                                        <input id="id" th:field="*{id}"  hidden="true" required="required" maxlength="36" readonly="true"/>
                                        <input th:field="*{companyId.name}" maxlength="255" class="form-control" readonly />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.taCompany.name}]]</label>

                                    <div class="col-sm-8">
                                        <input th:field="*{taCompanyId.name}" maxlength="20" class="form-control" readonly />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.total.amount}]]</label>

                                    <div class="col-sm-8">
                                        <input type="text" class="form-control" readonly value="5.000.000">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.periode.year}]]</label>

                                    <div class="col-sm-8">
                                        <input th:field="*{periodeYear}" class="form-control" readonly />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="col-sm-3 control-label">[[#{label.periode.month}]]</label>

                                    <div class="col-sm-8">
                                        <input th:field="*{periodeMonthStr}" class="form-control" readonly />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-3 control-label">[[#{label.created.date}]]</label>

                                    <div class="col-sm-8">
                                        <input th:field="*{createdDateStr}" class="form-control" readonly >
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-3 control-label">[[#{label.created.by}]]</label>

                                    <div class="col-sm-8">
                                        <input th:field="*{createdBy.name}" class="form-control" readonly >
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr/>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.status.approval}]]</label>

                                    <div class="col-sm-8">
                                        <select th:field="*{status}" class="form-control">
                                            <option th:value="Ditolak">Ditolak</option>
                                            <option th:value="Disetujui">Disetujui</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label">[[#{label.reason}]]</label>

                                    <div class="col-sm-8">
                                        <textarea th:field="*{reason}" class="form-control" />
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="form-group">
                            <label class="col-sm-2 control-label"></label>

                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-success"><i class="fa fa-paper-plane"></i>
                                    [[#{button.submit}]]
                                </button>
                                <a th:href="@{/admin/transaction/list}" class="btn btn-default"><i class="fa fa-arrow-left"></i>
                                    [[#{button.back}]]</a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<div th:fragment="css"></div>
<div th:fragment="js"></div>
</html>